define pushStructFieldArray()
%!%+
%\function{pushStructFieldArray}
%\synopsis{appends a value to an array which is the field of structure}
%\usage{pushStructFieldArray(s, field, value);}
%\description
%    \code{s.field = [s.field, value];  %} if \code{s.field} was not \code{NULL}
%!%-
{
  variable s, field, value;
  switch(_NARGS)
  { case 3: (s, field, value) = (); }
  { help(_function_name()); return; }

  variable a = get_struct_field(s, field);
  if(a==NULL)
    set_struct_field(s, field, [value]);
  else
    set_struct_field(s, field, [a, value]);
}
