%%%%%%%%%%%%%%%%%%
define unique_n()
%%%%%%%%%%%%%%%%%%
%!%+
%\function{unique_n}
%\synopsis{finds the indicies of unique tupels}
%\usage{Integer_Type[] unique_n(Array_Type a1, ..., an)}
%\description
%    The arrays \code{a1}, ..., \code{an} (with \code{n>=1}) must have the same length,
%    but may contain different data types.
%    The return value is an array of all indices \code{i}
%    of all unique tupels \code{(a1[i], ..., an[i])}.
%!%-
{
  variable arg = __pop_list(_NARGS);

  variable a, i, j;
  switch(_NARGS)
  { case 0: return help(_function_name()); }
  { case 1:
      a = arg[0];
      % after John Houck's unique function from isis/share/mathmisc.sl
      variable len = length(a);
      if(len <= 1)  return [0:len-1];
      a = _reshape (__tmp(a), len);
      i = array_sort(a);
      a = a[i];
      j = where(a[[1:]] != a[[:-2]]);
      return i[[j,-1]];
  }
  variable u = Integer_Type[0];
  a = list_pop(arg);
  variable unique_a = Char_Type[length(a)] + 1;
  _for i (0, length(a)-1, 1)
    if(unique_a[i])
    {
      i = where(a==a[i]);
      unique_a[i] = 0;
      variable bi = {};
      _for j (0, _NARGS-2, 1)
        list_append(bi, arg[j][i]);
      u = [u, i[unique_n(__push_list(bi))]];
    }
  return u;
  % return u[array_sort(u)];
}
