define RAdec_from_galLB()
%!%+
%\function{RAdec_from_galLB}
%\synopsis{convert galactic (l, b) coordinates to equatorial (RA, dec) coordinates}
%\usage{(RA, dec) = RAdec_from_galLB(l, b);}
%\qualifiers{
%\qualifier{l_unit}{ [\code{="deg"}]: set the unit of the galactic longitude
%                       \code{l_unit="rad"} \code{=>}  l in rad
%                       \code{l_unit="hms"} \code{=>}  l in hours as a scalar
%                       or an array of the form \code{[H, M]} or \code{[H, M, S]} }
%\qualifier{b_unit}{ [\code{="deg"}]: set the unit of the galactic lattitude}
%}
%\description
%    This function is deprecated. Please use galactic2equatorial instead.
%\seealso{galLB_from_RAdec, AzEl_from_RAdec, RAdec_from_AzEl, angle_to_rad}
%!%-
{
  variable l, b;
  switch(_NARGS)
  { case 2: (l, b) = (); }
  { help(_function_name()); return; }

    variable l_unit = qualifier("l_unit", "deg");
    variable b_unit = qualifier("b_unit", "deg");
  
    l  = angle_to_rad(l ; unit= l_unit);
    b  = angle_to_rad(b ; unit= b_unit);
  
  variable alpha,delta;

  (alpha,delta)=galactic2equatorial(l,b);

  return alpha*180./PI, delta*180./PI;

}
