require("xfig");

define xfig_new_X11color(nam) {
%!%+
%\function{xfig_new_X11color}
%\synopsis{define a new color from x11's rgb.txt for xfig}
%\usage{xfig_new_X11color(colorname)}
%\qualifiers{
%\qualifier{x11name}{Name of the color in rgb.txt}
%\qualifier{rgbfile}{File defining the colors, default: /usr/share/X11/rgb.txt}
%}
%\description
%This function is a wrapper around X11color2rgb. It searches for the color 
%using x11color2rgb and then defines a new xfig color with the same name.
%Note that some of xfig's colors can have the same name as names in
%rgb.txt but different rgb values. In this case the default of this function
%is to override xfig's definition. If this is not desired, use the x11name
%qualifier.
%\seealso{x11color2rgb,xfig_lookup_w3c_color}
%!%-

    variable searchname=qualifier("x11name",nam);
    variable col=X11color2rgb(searchname;;__qualifiers);
    xfig_new_color(nam,col);
}

