%!%+
%\function{kerr_lp_redshift}
%\synopsis{calculates the redshift from a Lamp Post source (point-like)
% on the rotational axis of a spining black hole (spin a) to the  observer}
%\usage{kerr_lp_redshift(height, a)}
%\description
%   z_obs = 1 / ( sqrt( 1 - 2*h/(h^2 + a^2) )  - 1 
%!%-
define kerr_lp_redshift(){
   variable height, a;
   
   switch(_NARGS)
   { case 2: (height, a) = ();}
   { help(_function_name()); return; }


   return 1.0 / sqrt( 1.0 - 2*height / (height^2 + a^2))-1.0;
}
